Bug 663910

Summary: libvirtd crash when trying to install a guest with virt-install
Product: [Fedora] Fedora Reporter: Osier Yang <jyang>
Component: libvirtAssignee: Libvirt Maintainers <libvirt-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 14CC: aquini, berrange, clalance, crobinso, dallan, dyuan, itamar, jforbes, jyang, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-01-24 17:02:09 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Osier Yang 2010-12-17 05:14:11 EST
Description of problem:
as $subject.

====== script to reproduce =============
[root@Osier work]# cat crash.sh 
#!/bin/bash

NAME=$1
#CDROM='/var/lib/libvirt/images/Fedora-14-i386-DVD.iso'
CDROM='/mnt/f14-final-gold/iso/Fedora-14-i386-DVD.iso'

FILE="/var/lib/libvirt/images/${NAME}.img"

virt-install \
        --nographics \
        --console pty,target_type=virtio \
        --hvm \
        --name=${NAME} \
        --cdrom=${CDROM} \
        --vcpus=4 \
        --ram=8192 \
        --file=${FILE} \
        --file-size=10

========== gdb traceback ======
(gdb) c
Continuing.
Detaching after fork from child process 22442.
Detaching after fork from child process 22443.
18:07:58.208: 21946: warning : qemudStartVMDaemon:4154 : Executing /usr/bin/qemu-kvm
Detaching after fork from child process 22444.
18:07:58.216: 21946: warning : qemudStartVMDaemon:4167 : Executing done /usr/bin/qemu-kvm

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffea281700 (LWP 21531)]
0x00007fffd00a14a0 in ?? ()
(gdb) bt
#0  0x00007fffd00a14a0 in ?? ()
#1  0x0000000000462b03 in qemuMonitorFree (mon=0x7fffd00034f0) at qemu/qemu_monitor.c:198
#2  qemuMonitorUnref (mon=0x7fffd00034f0) at qemu/qemu_monitor.c:218
#3  0x0000000000416f4f in virEventCleanupHandles () at event.c:534
#4  0x0000000000417e29 in virEventRunOnce () at event.c:599
#5  0x0000000000418c00 in qemudOneLoop () at libvirtd.c:2242
#6  0x0000000000419095 in qemudRunLoop (opaque=0x6d6dc0) at libvirtd.c:2352
#7  0x00007ffff5a10d5b in start_thread () from /lib64/libpthread.so.0
#8  0x00007ffff554627d in clone () from /lib64/libc.so.6

============ libvirtd debug log ===============
18:12:33.922: 23025: debug : qemudShutdownVMDaemon:4286 : Shutting down VM 'crash-test' pid=-1 migrated=0
18:12:33.923: 23025: debug : qemuSecurityDACRestoreSecurityAllLabel:426 : Restoring security label on crash-test migrated=0
18:12:33.923: 23025: info : qemuSecurityDACRestoreSecurityFileLabel:80 : Restoring DAC user and group on '/var/lib/libvirt/images/crash-test.img'
18:12:33.923: 23025: info : qemuSecurityDACSetOwnership:40 : Setting DAC user and group on '/var/lib/libvirt/images/crash-test.img' to '0:0'
18:12:33.923: 23025: debug : SELinuxRestoreSecurityAllLabel:750 : Restoring security label on crash-test
18:12:33.923: 23025: info : SELinuxRestoreSecurityFileLabel:371 : Restoring SELinux context on '/var/lib/libvirt/images/crash-test.img'
18:12:34.015: 23025: info : SELinuxSetFilecon:324 : Setting SELinux context on '/var/lib/libvirt/images/crash-test.img' to 'system_u:object_r:virt_image_t:s0'
18:12:34.020: 23025: debug : virDomainObjUnref:900 : obj=0x7f64540015a0 refs=1
18:12:34.020: 23020: debug : virDomainObjUnref:900 : obj=0x7f64540015a0 refs=0
18:12:34.020: 23020: debug : virDomainObjFree:876 : obj=0x7f64540015a0
18:12:34.020: 23020: debug : virEventUpdateTimeoutImpl:236 : Updating timer 1 timeout with 0 ms freq
18:12:34.020: 23020: debug : virEventInterruptLocked:654 : Skip interrupt, 1 1933936384
18:12:34.020: 23020: debug : virEventCleanupTimeouts:483 : Cleanup 2
18:12:34.020: 23020: debug : virEventCleanupHandles:522 : Cleanup 9
lt-libvirtd: tpp.c:63: __pthread_tpp_change_priority: Assertion `new_prio == -1 || (new_prio >= __sched_fifo_min_prio && new_prio <= __sched_fifo_max_prio)' failed.
Aborted (core dumped)

Version-Release number of selected component (if applicable):
libvirt-0.8.3-2.fc14.x86_64

How reproducible:
nearly always.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Osier Yang 2010-12-17 05:18:25 EST
has no priviledge to change the bug priority. it should be "high"
Comment 2 Fedora Admin XMLRPC Client 2011-09-22 13:58:10 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2011-09-22 14:01:56 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-11-30 14:57:54 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-11-30 14:59:06 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-11-30 15:04:04 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-11-30 15:04:44 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Cole Robinson 2012-01-24 17:02:09 EST
Sorry for not addressing this bug, but F14 is EOL now, so I'm closing this report. Please reopen if this is still relevant in a more recent fedora.